Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.services
Class AbstractSOAPServiceFactory

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.wsrp.services.AbstractJNDIServiceFactory
                      org.jboss.portal.wsrp.services.AbstractSOAPServiceFactory

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ManageableServiceFactory, ServiceFactory, org.jboss.system.Service, org.jboss.system.ServiceMBean

Direct Known Subclasses:
  PerEndpointSOAPInvokerServiceFactory

    public abstract class AbstractSOAPServiceFactory

extends AbstractJNDIServiceFactory

Perform common logic to soap based service factories. This one caches the service retrieved from the JNDI lookup.

Version:
  $Revision: 11483 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.wsrp.services.AbstractJNDIServiceFactory
`available, failed, log, portJNDIMapping`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AbstractSOAPServiceFactory()`

Method Summary
`protected void` | `destroyService()`
`
`<T extends java.rmi.Remote> T`
` | `getService(java.lang.Class<T> serviceClass)`
`protected abstract java.lang.Object` | `getStubFromService(java.lang.Class serviceClass, javax.xml.rpc.Service service)` Retrieve the stub from the service.

Methods inherited from class org.jboss.portal.wsrp.services.AbstractJNDIServiceFactory
`createService, getEnv, getPortJNDIMapping, getServiceFor, isAvailable, isFailed, setAvailable, setEnv, setFailed, setPortJNDIMapping`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.wsrp.services.ServiceFactory
`getMarkupURL, getPortletManagementURL, getRegistrationURL, getServiceDescriptionURL, setMarkupURL, setPortletManagementURL, setRegistrationURL, setServiceDescriptionURL`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### AbstractSOAPServiceFactory

    public AbstractSOAPServiceFactory()

Method Detail

### destroyService

    protected void destroyService()
                           throws java.lang.Exception

  Overrides:
    `destroyService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### getStubFromService

    protected abstract java.lang.Object getStubFromService(java.lang.Class serviceClass,
                                                           javax.xml.rpc.Service service)
                                                    throws java.lang.Exception

  Retrieve the stub from the service. The stub is not thread safe and must be customized for each thead.

  Parameters:
    `serviceClass` - the requested service class
    `service` - the service implementation obtained from the JNDI lookup
  Returns:
    an implementation based on the provided service
  Throws:
    `java.lang.Exception`

### getService

    public <T extends java.rmi.Remote> T getService(java.lang.Class<T> serviceClass)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD